Bug 131877 - Unable to update fc3t1 using "yum update"
Unable to update fc3t1 using "yum update"
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-09-06 05:04 EDT by james
Modified: 2014-01-21 17:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-19 02:50:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description james 2004-09-06 05:04:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686) Opera 
7.54  [en]

Description of problem:
# yum update
Error: xorg-x11-font-utils conflicts:  xorg-x11-base-fonts<= 6.7.99.
Error: missing dep: iiimf-server for pkg iiimf-le-sun-asia

Even after "yum update yum rpm python", same thing.  Even though yum 
should not simply fail after a simple error, this problem may have 
something to do with the headers and packages in the repository.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.yum update

Actual Results:  Error: xorg-x11-font-utils conflicts:  xorg-x11-
Error: missing dep: iiimf-server for pkg iiimf-le-sun-asia

Expected Results:  Update to current packages.

Additional info:

Is this exclusively a yum problem, or is the problem triggered by the 
files in the repository?
Comment 1 Seth Vidal 2004-09-08 01:29:26 EDT
run yum with:

yum --obsoletes update

and see if that resolves this problem.

I think it will
Comment 2 james 2004-09-09 16:51:48 EDT
Yes, that worked.

Since the current "yum" man page still talks about the "upgrade" 
command - which no longer works, and does not mention the
"--obsoletes" option to the "update" command, then this looks like a 
man-page/documentation problem.

Something for the "yum" maintainers...
Comment 3 Ralf Corsepius 2004-09-21 06:28:09 EDT
"yum --obsoletes update" does not fix the problem, because yum-2.0.7
(FC2) does not support --obsoletes:

# yum -c /etc/yum.testing --obsoletes update
 Options Error: option --obsoletes not recognized

I.e. yum's inability to handle this conflict, prevents upgrading FC2
systems to FC3test2, because "yum --obsoletes" is only applicable if
yum >= 2.1 had been installed beforehand (E.g. if yum from FC3 had
been installed on FC2, before the "big update".)
Comment 4 Seth Vidal 2004-09-21 09:12:27 EDT
umm just run:
yum update yum

then do the yum --osboletes update.
Comment 5 Ralf Corsepius 2004-09-21 10:13:25 EDT
That's exactly what I had meant with my "i.e. ..." comment.

Not necessarily a show stopper for yum-2.1.x, but ...
... my testing system is an old i586/166MHz system ...

On this system each "yum update" run takes such an amount of time
(several 10mins), such that is rather annoying having to discover yum
to  give in later.

FWIW: On this system, yum-2.1.x's "initial dependency computation"
reaches almost the same amount of time of yum-2.0.x's headers download
had consumed (~1 hour).
Comment 6 Seth Vidal 2004-09-21 11:10:02 EDT
reading in a lot of data on  166mhz system is going to take a while.

That's really all there is to it.

Comment 7 Rahul Sundaram 2005-06-18 22:56:25 EDT

Yum is much faster in FC4 release. This bug report probably should be closed

Note You need to log in before you can comment on or make changes to this bug.